<div class="p-grid">
  <div class="p-col p-offset-3">
    <p-card [style]="{'width': '50vw', 'margin-bottom': '2em'}">
      <app-book-form
        [book]="book"
        (saveBookEvent)="saveBook($event)"></app-book-form>
    </p-card>
  </div>

</div>
<br>
<div class="p-grid">
  <div class="p-col-12">
    <p-card>
      <app-book-table
        [books]="books"
        [totalBooks]="totalBooks"
        [loading]="loadingBooks"
        (pagination)="selectNewPage($event)"
        (updateEvent)="updateEvent($event)"
        (removeEvent)="deleteEvent($event)"
        (searchEvent)="searchEvent($event)"
      >
      </app-book-table>
    </p-card>
  </div>
</div>

